module "werts_matrix_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "matrix"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://chat.werts.us/_synapse/client/oidc/callback"]

  vault_secret_name = "k8s-ns/synapse/werts-oidc"

  backchannel_logout_url              = "https://chat.werts.us/_synapse/client/oidc/backchannel_logout"
  backchannel_logout_session_required = true
}

output "matrix_client_id" {
    value = module.werts_matrix_oidc_client
    sensitive = true
}
