module "werts_pleroma_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "pleroma"
  keepers        = { epoch = 1 }
  redirect_uris  = ["http://toots.werts.us/oauth/keycloak/callback"]

  kubernetes_secret_name = "toots-oidc"
  kubernetes_secret_namespace = "toots-werts"
}

output "pleroma_client_id" {
    value = module.werts_pleroma_oidc_client
    sensitive = true
}
