resource "keycloak_realm" "werts" {
  realm   = "werts"
  enabled = true

  default_signature_algorithm              = "RS256"
  display_name                             = "werts.us"
  display_name_html                        = "<div class=\"kc-logo-text\"><span>werts.us</span></div>"
  ssl_required                             = "none"

  account_theme                            = "keycloak"
  admin_theme                              = "keycloak.v2"
  email_theme                              = "keycloak"
  login_theme                              = "keycloak"
}

module "werts_cascade_federation" {
  #source = "github.com/jamesandariese/terraform-keycloak-ad-federation"
  source = "/home/james/src/github.com/jamesandariese/terraform-keycloak-ad-federation"
  realm_id = keycloak_realm.werts.id
  connection_url = "ldaps://cascade.strudelline.net"
  bind_dn = "CN=ldapsearch,OU=ldapsearch,DC=cascade,DC=strudelline,DC=net"
  bind_credential = "2Nblech%"
  federation_name = "cascade"
  users_dn = "DC=cascade,DC=strudelline,DC=net"
}
